Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Composer warning: Package zendframework/zend-escaper is abandoned #2390

Closed
fvsch opened this issue Jan 11, 2020 · 2 comments
Closed

Composer warning: Package zendframework/zend-escaper is abandoned #2390

fvsch opened this issue Jan 11, 2020 · 2 comments
Assignees
Milestone

Comments

@fvsch
Copy link

@fvsch fvsch commented Jan 11, 2020

Using the plainkit installed with Composer, on composer install this warning is printed:

Package zendframework/zend-escaper is abandoned, you should avoid using it. Use laminas/laminas-escaper instead.

It looks like the Zend Framework was migrated to the Linux Foundation under a new project name, Laminas, and most packages were migrated.

Packages such as zendframework/zend-escaper won't receive updates, so ideally it's better to use the new package, but I doubt it's urgent. If anyone wants to pick it up as a small PR ;)

I’ve seen only one use in the codebase, in src/Toolkit/Escape.php.

lukasbestle added a commit that referenced this issue Jan 12, 2020
Fixes #2390.
@lukasbestle lukasbestle added this to the 3.3.3 milestone Jan 12, 2020
@lukasbestle lukasbestle self-assigned this Jan 12, 2020
@lukasbestle

This comment has been minimized.

Copy link
Contributor

@lukasbestle lukasbestle commented Jan 12, 2020

Thanks for letting us know!

bastianallgeier added a commit that referenced this issue Jan 13, 2020
Fixes #2390.
@bastianallgeier

This comment has been minimized.

Copy link
Contributor

@bastianallgeier bastianallgeier commented Jan 13, 2020

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
3 participants
You can’t perform that action at this time.